from django.contrib import admin
from django.contrib.auth import get_user_model
from django.contrib.auth.admin import UserAdmin

from .models import Address, User
from .forms import AccountCreateForm, AccountUpdateForm

class UserAdmin(UserAdmin):
    add_form = AccountCreateForm
    form = AccountUpdateForm
    model = User
    list_display = ['email', 'username',]


admin.site.register(Address)
admin.site.register(User, UserAdmin)
